Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454630 - ipa-moduser --addattr failing when fully DN is specified
Summary: ipa-moduser --addattr failing when fully DN is specified
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise IPA
Classification: Retired
Component: ipa-admintools
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 453489
TreeView+ depends on / blocked
 
Reported: 2008-07-09 13:47 UTC by Giuseppe Paterno
Modified: 2015-01-21 15:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 15:19:08 UTC


Attachments (Terms of Use)

Description Giuseppe Paterno 2008-07-09 13:47:30 UTC
As for $subject, I found a problem (bug?) into RH IPA ipa-moduser.
When I specify a fully DN in the command line such as: 
ipa-moduser --addattr secretary="uid=xxxx,cn=users,cn=accounts,dc=xxx,dc=xxx" myuser
I got the following:
"set option usage: --set NAME=VALUE"
While works if I specify:
ipa-moduser --addattr secretary=xxxx myuser

I believe that on line 224, there's a issue with line:
if len(a) != 2:

Thanks

Comment 2 Rob Crittenden 2008-07-14 18:31:17 UTC
martin Magy provided a patch for this.

master: b95c05f5c6a9977e6bb02d091a601efb3bcf360e

Comment 3 Jenny Galipeau 2008-11-20 18:38:50 UTC
Fix Verified:

[root@jennyv3 Desktop]# ipa-moduser --addattr secretary="uid=tester,cn=users,dc=accounts,dc=bos,dc=redhat,dc=com" jenny
jenny successfully updated

[root@jennyv3 Desktop]# ipa-finduser -a jenny
2 entries were found. Which one would you like to display?
1: Jenny Galipeau (jenny)
2: Jenny Test (tester)
Choose one: (1 - 2), 0 for all, q to quit: 1
dn: uid=jenny,cn=users,cn=accounts,dc=bos,dc=redhat,dc=com
Full Name: Jenny Galipeau
Display Name: Jenny Galipeau
GECOS: Jenny Galipeau
GID: 1002
First Name: Jenny
Last Name: Galipeau
Home Directory: /home/jenny
Home Number: (603) 672-3578
Initials: JG
krblastpwdchange: 20081117110521Z
krbpasswordexpiration: 20090215110521Z
krbprincipalname: jenny@BOS.REDHAT.COM
City: Brooklin
Login Shell: /bin/bash
E-mail Address: jgalipea@redhat.com
memberof: 
        cn=admins,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
        cn=ipausers,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
        cn=Quality_Engineering,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
        cn=access,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
objectclass: 
        top
        person
        organizationalPerson
        inetOrgPerson
        inetUser
        posixAccount
        krbPrincipalAux
        radiusprofile
Org Unit: Security Engineering
ZIP: 03033
Secretary: uid=tester,cn=users,dc=accounts,dc=bos,dc=redhat,dc=com
State: NH
Street Address: 25 Laurel Crest Drive
Work Number: 672 3578
Job Title: QA
Login: jenny
UID: 1100

Comment 8 Martin Kosek 2015-01-21 15:19:08 UTC
"Red Hat Enterprise IPA" product is not used or maintained. As this bug has a VERIFIED or RELEASE_PENDING status, it can be safely closed.

For further requests for the Red Hat Enterprise Linux Identity Management, please consider filing a Bug to RHEL "ipa" component.


Note You need to log in before you can comment on or make changes to this bug.